Bug 493505 - [radeon test day] display garbled after switching users [mobility x1600]
[radeon test day] display garbled after switching users [mobility x1600]
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 21:08 EDT by Bill McGonigle
Modified: 2009-05-25 16:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-25 16:12:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (75.35 KB, text/plain)
2009-04-08 23:22 EDT, Bill McGonigle
no flags Details
dmesg (54.97 KB, text/plain)
2009-04-08 23:22 EDT, Bill McGonigle
no flags Details
garbled text on screen (1.22 MB, image/png)
2009-04-08 23:27 EDT, Bill McGonigle
no flags Details
Xorg log from F11 rawhide, 2009-05-25, no problems (96.15 KB, text/plain)
2009-05-25 11:51 EDT, Bill McGonigle
no flags Details

  None (edit)
Description Bill McGonigle 2009-04-01 21:08:38 EDT
Description of problem:

switching between users (after the first switch) results in displays with lots of noise.  re-drawing screen elements (min/maxi-mizing windows, clicking on menus, etc) eliminates detritus.

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.12.1-2.fc11.i586

How reproducible:

always

Steps to Reproduce:
1. switch from liveuser to guest
2. switch back
  
Actual results:

detritus on display

Expected results:

clean display

Additional info:
Comment 2 François Cami 2009-04-06 18:46:11 EDT
Bill,

Could you post dmesg output and /var/log/Xorg.0.log as uncompressed text/plain attachments to this bug ?

Also, if you have rawhide installed, does that still happen with the most recent packages ?

Thank you

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Bill McGonigle 2009-04-08 23:22:02 EDT
Created attachment 338847 [details]
Xorg.0.log
Comment 4 Bill McGonigle 2009-04-08 23:22:25 EDT
Created attachment 338848 [details]
dmesg
Comment 5 Bill McGonigle 2009-04-08 23:27:24 EDT
Created attachment 338849 [details]
garbled text on screen

Sorry, I don't have a rawhide install.  This was with the testday CD with the -4.11 x server applied on top of it:

  http://koji.fedoraproject.org/koji/buildinfo?buildID=96475

In this screenshot it appears only the text is garbled.  I thought I remembered more, but I'm not seeing that today (it is two X server versions later, FWIW).

After I created this screenshot I made a new Terminal window and the *new* window titlebar text was messed up, but the terminal text itself was clear.

So, I appear to only be seeing a font drawing problem at this point, related to vt switching.
Comment 6 François Cami 2009-04-10 14:38:50 EDT
This may be yet another instance of the DPI problem :

(**) RADEON(0): DPI set to (107, 118)

Thanks for the logs and screenshot, switching to ASSIGNED.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Bill McGonigle 2009-05-22 21:10:02 EDT
I'm not seeing this on current rawhide.  Fixed?
Comment 8 François Cami 2009-05-23 06:21:45 EDT
Bill,

Could you post your current Xorg.0.log please ?

Thanks in advance

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Bill McGonigle 2009-05-25 11:51:48 EDT
Created attachment 345335 [details]
Xorg log from F11 rawhide, 2009-05-25, no problems
Comment 10 François Cami 2009-05-25 16:12:02 EDT
Thank you Bill for confirmation and post-fix log.

Closing (an updated package fixing the bug was posted to rawhide).

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.